# Uses of Interface
com.sun.source.doctree.DeprecatedTree

Packages that use DeprecatedTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

- ## Uses of DeprecatedTree in com.sun.source.doctree

  Methods in com.sun.source.doctree with parameters of type DeprecatedTree
  Modifier and Type
  Method
  Description
  `R`
  DocTreeVisitor.`visitDeprecated(DeprecatedTree node, P p)`
  Visits a `DeprecatedTree` node.

- ## Uses of DeprecatedTree in com.sun.source.util

  Methods in com.sun.source.util that return DeprecatedTree
  Modifier and Type
  Method
  Description
  `DeprecatedTree`
  DocTreeFactory.`newDeprecatedTree(List<? extends DocTree> text)`
  Creates a new `DeprecatedTree` object, to represent an `@deprecated` tag.
  Methods in com.sun.source.util with parameters of type DeprecatedTree
  Modifier and Type
  Method
  Description
  `R`
  DocTreeScanner.`visitDeprecated(DeprecatedTree node, P p)`
  Visits a `DeprecatedTree` node.
  `R`
  SimpleDocTreeVisitor.`visitDeprecated(DeprecatedTree node, P p)`
  Visits a `DeprecatedTree` node.